Bug 1525904 - Include engine-psql.sh in ovirt-engine-dbscripts package as redhat-support-plugin-rhev package has been obsoleted and rhevm-doc is not a nice place to include that script
Summary: Include engine-psql.sh in ovirt-engine-dbscripts package as redhat-support-pl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.2
: ---
Assignee: Eli Mesika
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks: 902971
TreeView+ depends on / blocked
 
Reported: 2017-12-14 10:54 UTC by Martin Perina
Modified: 2019-05-16 13:09 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-4.2.2.4
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-05-15 17:46:56 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:48:00 UTC
oVirt gerrit 86610 0 'None' MERGED db: Add engine-psql.sh to dbscripts 2020-11-27 08:34:37 UTC
oVirt gerrit 88649 0 'None' MERGED db: Add engine-psql.sh to dbscripts 2020-11-27 08:34:37 UTC

Description Martin Perina 2017-12-14 10:54:07 UTC
Script engine-psql.sh was part of redhat-support-plugin-rhev and it was referenced from many KCS articles. In 4.2 redhat-support-plugin-rhev is obsoleted by rhvm-doc, but engine-psql.sh is not part of rhvm-doc package.

Comment 2 Greg Sheremeta 2017-12-14 14:46:41 UTC
redhat-support-plugin-rhev wasn't being maintained -- and I missed the existence of this script -- apologies.

I would prefer it not go in rhvm-doc.

Comment 7 Martin Perina 2018-01-05 13:25:49 UTC
The script also needs to be adapted to work properly with SCL PG 9.5

Comment 15 Roman Hodain 2018-02-07 14:54:37 UTC
Hi Eli,

I have checked the code and it seems that this lime:

psql -U "${USERNAME}" -h "${HOST}" -p "${port}" "${ENGINE_DB_DATABASE}" "$@" | tee -a "${LOGFILE}" 2>&1

Was changed to 

echo "psql $@"

but we need to pass -h "${HOST}" as otherwise the authentication will not work. -h is not possible as it is taken by the script and prints help instead.

Can you check?

Comment 16 Eli Mesika 2018-02-12 16:45:17 UTC
(In reply to Roman Hodain from comment #15)
> Hi Eli,
> 
> I have checked the code and it seems that this lime:
> 
> psql -U "${USERNAME}" -h "${HOST}" -p "${port}" "${ENGINE_DB_DATABASE}" "$@"
> | tee -a "${LOGFILE}" 2>&1
> 
> Was changed to 
> 
> echo "psql $@"
> 
> but we need to pass -h "${HOST}" as otherwise the authentication will not
> work. -h is not possible as it is taken by the script and prints help
> instead.
> 
> Can you check?

Can you check setting the host in the command line . e,g :


ENGINE_DB_HOST=<host ip> psql ..........

Comment 17 Roman Hodain 2018-02-19 11:10:47 UTC
(In reply to Eli Mesika from comment #16)
> (In reply to Roman Hodain from comment #15)
> > Hi Eli,
> > 
> > I have checked the code and it seems that this lime:
> > 
> > psql -U "${USERNAME}" -h "${HOST}" -p "${port}" "${ENGINE_DB_DATABASE}" "$@"
> > | tee -a "${LOGFILE}" 2>&1
> > 
> > Was changed to 
> > 
> > echo "psql $@"
> > 
> > but we need to pass -h "${HOST}" as otherwise the authentication will not
> > work. -h is not possible as it is taken by the script and prints help
> > instead.
> > 
> > Can you check?
> 
> Can you check setting the host in the command line . e,g :
> 
> 
> ENGINE_DB_HOST=<host ip> psql ..........

Thanks that would work for me.

Comment 18 Lucie Leistnerova 2018-03-19 08:08:29 UTC
engine-psql.sh installed with ovirt-engine-dbscripts-4.2.2.4-0.1.el7.noarch to /usr/share/ovirt-engine/dbscripts/ and works

verified in ovirt-engine-4.2.2.4-0.1.el7.noarch

Comment 22 errata-xmlrpc 2018-05-15 17:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 23 Franta Kust 2019-05-16 13:09:35 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.